function W = gridsol(Z,method)

% GRIDSOL(Z): Do a griddata(method) solution of the elevation points in the
% square matrix Z.  Unknown entries are 0. 


% Time-stamp: </home/wrf/r/matlab/interp/gridsol.m, Fri, 26 Jun 1998, 01:27:37 IDT, wrf@speed.ecse.rpi.edu>


t = cputime;

N=size(Z,1)
fprintf(1, 'Method: %s\n',method)
fprintf(1,'Input range, lo: %f, hi: %f\n',min(min(Z(find(Z)))),max(max(Z)))

[x,y,v] = find(Z);

[xi,yi] = meshgrid(1:N);

W=griddata(x,y,v,xi, yi, method);

whos

fprintf(1,'CPU time for gridsol: %f\n', cputime-t);

